PRLIMIT(1)

NAMN
prlimit - hämta och ställa in gränser för processresurser

SYNOPSIS

prlimit [flaggor] [--resource[=limits]] [--pid PID] [--pid PID]

prlimit [flaggor] [--resource[=limits]] kommando [argument...]

BESKRIVNING

Med ett process-ID och en eller flera resurser försöker prlimit hämta och/eller ändra gränserna.

När kommando anges kommer prlimit att köra detta kommando med de angivna argumenten.

Parametern limits består av ett mjukt och ett hårt värde, åtskilda av ett kolon (:), för att ändra de befintliga värdena. Om inga limits anges kommer prlimit att visa de aktuella värdena. Om något av värdena inte anges används det befintliga värdet. För att ange en obegränsad eller oändlig gräns (RLIM_INFINITY) kan strängen -1 eller "unlimited" skickas.

På grund av begränsningarnas natur måste den mjuka gränsen vara lägre än eller lika med den höga gränsen (även kallad taket). För att se alla tillgängliga resursgränser, se avsnittet RESURSFLAGGOR.

    • mjuk:hård Ange båda gränserna.

    • soft: Ange endast den mjuka gränsen.

    • :hard Ange endast den hårda gränsen.

    • värde Ange båda gränserna till samma värde.

ALLMÄNNA FLAGGOR

--noheadings
    Skriv inte ut någon rubrikrad.

-o, --output lista
    Definiera vilka utmatningskolumner som ska användas. Om inget utdataarrangemang anges används en standarduppsättning. Använd --help för att få en lista över alla kolumner som stöds.

-p, --pid PID
    Ange processens ID. Utan denna flagga (och utan ett kommando) används den process som körs.

--raw
    Använd det råa utmatningsformatet.

--verbose
    Utförligt läge.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

RESURSFLAGGOR

-c, --core[=limits]
    Maximal storlek på en kärnfil.

-d, --data[=limits]
    Maximal datastorlek.

-e, --nice[=limits]
    Högsta tillåtna prioritet att höja.

-f, --fsize[=limits]
    Maximal filstorlek.

-i, --sigpending[=limits]
    Maximalt antal väntande signaler.

-l, --memlock[=limits]
    Maximalt adressutrymme som är låst i minnet.

-m, --rss[=limits]
    Maximal storlek på invånaruppsättningen (RSS).

-n, --nofile[=limits]
    Maximalt antal öppna filer.

-q, --msgqueue[=limits]
    Maximalt antal byte i POSIX-meddelandeköer.

-r, --rtprio[=limits]
    Maximal realtidsprioritet.

-s, --stack[=limits]
    Stapelns maximala storlek.

-t, --cpu[=limits]
    CPU-tid i sekunder.

-u, --nproc[=limits]
    Maximalt antal processer.

-v, --as[=limits]
    Gräns för adressutrymme.

-x, --locks[=limits]
    Maximalt antal fillås som hålls.

-y, --rttime[=limits]
    Timeout för realtidsuppgifter.

ANTECKNINGAR

Systemanropet prlimit(2) stöds sedan Linux 2.6.36, äldre kärnor kommer att bryta detta program.

EXEMPEL

prlimit --pid 13134
    Visa gränsvärden för alla aktuella resurser.

prlimit --pid 13134 --rss --nofile=1024:4095
    Visa gränserna för RSS och ställ in de mjuka och hårda gränserna för antalet öppna filer till 1024 respektive 4095.

prlimit --pid 13134 --nproc=512:
    Ändra endast den mjuka gränsen för antalet processer.

prlimit --pid $$ --nproc=obegränsad
    Ställ in både det mjuka värdet och takvärdet för antalet processer till obegränsat för den aktuella processen.

prlimit --cpu=10 sort -u hugefile
    Ställ in både den mjuka och hårda CPU-tidsgränsen till tio sekunder och kör sort(1).

UPPHOVSPERSONER

- Till minne av Dennis M. Ritchie.

SE ÄVEN

ulimit(1p), prlimit(2)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot prlimit ingår i paketet util-linux som kan hämtas från